// matriz.cpp - Matrices multidimensionales
//
#include <iostream>
#include "matriz.h"
using namespace std;

int main()
{
  const int A = 5;
  const int B = 10;
  const int C = 4;

  CMatriz<int> miMatrizInt(A);

  miMatrizInt[2] = 5;
  int x = miMatrizInt[2];
  cout << miMatrizInt[2] << endl;

  CMatriz<float> miMatrizFloat(A, B);
  CMatriz<float> MiOtroMatrizFloat(A, B);

  miMatrizFloat[1][2] = 5.8;
  float f = miMatrizFloat[1][2];
  MiOtroMatrizFloat = miMatrizFloat;
  cout << MiOtroMatrizFloat[1][2] << endl;

  int i, j;
  float conta = 1.0F;

  for (i = 0; i < A; i++)
    for (j = 0; j < B; j++)
        MiOtroMatrizFloat[i][j] = conta++;

  for (i = 0; i < A; i++)
    for (j = 0; j < B; j++)
        cout << MiOtroMatrizFloat[i][j] << "  ";
  cout << endl;

  CMatriz<double> miMatrizDouble(A,B,C), OtroMatrizDouble(A,B,C);

  miMatrizDouble[1][2][3] = double(i);
  double d = miMatrizDouble[1][2][3];
  cout << miMatrizDouble[1][2][3] << endl;

  OtroMatrizDouble = miMatrizDouble;
  cout << OtroMatrizDouble[1][2][3] << endl;
  
  system("pause");
}
